<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>caption</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="booking.task.html">booking (task)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="cellcolor.column.html">cellcolor (column)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">caption</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>The caption will be embedded in the footer of the table or data segment. The text will be interpreted as <a href="Rich_Text_Attributes.html">Rich Text</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>caption &lt;text&gt;</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="1">Arguments</td>
      <td class="descr">text [<a href="The_TaskJuggler_Syntax.html#STRING">STRING</a>]</td>
      <td class="descr"><div>The caption text.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2">
       <a href="accountreport.html">accountreport</a>, <a href="resourcereport.html">resourcereport</a>, <a href="taskreport.html">taskreport</a>, <a href="textreport.html">textreport</a>
      </td>
     </tr>
    </table></p>
   <div class="codeframe"><pre class="code">
resource r1 "Resource 1"

task plant "How to plant a tree" {
 start 2007-01-01
 # All sub-tasks inherit this allocation of r1
 allocate r1
 task plan "Choose the planting site" {
   effort 2d
 }
 task buy "Get a tree" {
   effort 1d
   depends !plan
 }
 task action "Plant the tree" {
   effort 0.5d
   depends !buy
 }
}

taskreport planttree "PlantTree.html" {
  formats html
  caption "This project shows how to plant a tree easily"
  headline "How to plant a tree"
  columns name, start, end, daily
  # Don't hide any resource, thus show them all.
  hideresource 0
}
</pre></div>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="booking.task.html">booking (task)</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="cellcolor.column.html">cellcolor (column)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
